package cn.com.poc.example.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.example.entity.BizExampleEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizExampleService extends BaseService {

    BizExampleEntity get(java.lang.Integer id) throws Exception;

    List<BizExampleEntity> findByExample(BizExampleEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizExampleEntity save(BizExampleEntity entity) throws Exception;

    BizExampleEntity update(BizExampleEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
    
}